> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an overview of Pools, Operators and Addresses

> This endpoint returns an overview of Pools, Operators and Addresses.



## OpenAPI

````yaml get /v1/eth/entities/{entity_id}
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/entities/{entity_id}:
    get:
      tags:
        - Overview
      summary: Get an overview of Pools, Operators and Addresses
      description: This endpoint returns an overview of Pools, Operators and Addresses.
      operationId: get_entity_v1_eth_entities__entity_id__get
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            title: Entity Id
        - name: entityType
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/IdType'
            description: The type of entity class you would like returned
          description: The type of entity class you would like returned
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityOverview'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    IdType:
      type: string
      enum:
        - depositAddress
        - withdrawalAddress
        - nodeOperator
        - pool
        - poolShare
        - entity
        - validator
        - privateSet
      title: IdType
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    EntityOverview:
      properties:
        id:
          type: string
          title: Id
        type:
          $ref: '#/components/schemas/IdType'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        validatorCount:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Validatorcount
        networkPenetration:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Networkpenetration
        operatorCount:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Operatorcount
      type: object
      required:
        - id
        - type
        - name
        - validatorCount
        - networkPenetration
        - operatorCount
      title: EntityOverview
      examples:
        - id: '0xa40dfee99e1c85dc97fdc594b16a460717838703'
          name: '0xa40dfee99e1c85dc97fdc594b16a460717838703'
          networkPenetration: 0.07855633469653803
          operatorCount: 0
          type: depositAddress
          validatorCount: 37361
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````